CVE-2005-3658
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 00:00:00
NMCO    

[原文]Multiple heap-based buffer overflows in EMC Legato NetWorker 7.1.x before 7.1.4 and 7.2.x before 7.2.1.Build.314, and other products such as Sun Solstice Backup (SBU) 6.0 and 6.1 and StorEdge Enterprise Backup Software (EBS) 7.1 through 7.2L, allow remote attackers to execute arbitrary code or cause a denial of service (unresponsive application) via malformed RPC packets to (1) RPC program number 390109 (nsrd.exe) and (2) RPC program number 390113 (nsrexecd.exe).


[CNNVD]EMC Legato Networker nsrexecd.exe远程堆溢出漏洞(CNNVD-200512-947)

        EMC Legato NetWorker是一款跨平台的备份和恢复系统。
        EMC Legato NetWorker在处理特定的RPC请求时存在漏洞,攻击者可能利用此漏洞在服务器上执行任意指令。由于没有正确的处理编号为390113的RPC程序的畸形RPC请求,导致Legato Networker的nsrexecd.exe服务中存在堆溢出漏洞。通过发送上述请求,攻击者可以覆盖部分堆内存,导致执行任意指令。由于备份客户机和服务机都安装了nsrd.exe,因此攻击者可以很快入侵整个网络。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/a:emc:legato_networker:7.1.3EMC Corporation Legato NetWorker 7.1.3
cpe:/a:emc:legato_networker:7.1.1EMC Corporation Legato NetWorker 7.1.1
cpe:/a:emc:legato_networker:7.2_build172EMC Corporation Legato NetWorker 7.2 build172
cpe:/a:emc:legato_networker:7.1.2EMC Corporation Legato NetWorker 7.1.2
cpe:/a:emc:legato_networker:7.2EMC Corporation Legato NetWorker 7.2
cpe:/a:emc:legato_networker:7.2.1EMC Corporation Legato NetWorker 7.2.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3658
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3658
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-947
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16275
(PATCH)  BID  16275
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=374
(VENDOR_ADVISORY)  IDEFENSE  20060117 EMC Legato Networker nsrexecd.exe Heap Overflow Vulnerability
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=373
(VENDOR_ADVISORY)  IDEFENSE  20060117 EMC Legato Networker nsrd.exe Heap Overflow Vulnerability
http://securitytracker.com/id?1015545
(PATCH)  SECTRACK  1015545
http://securitytracker.com/id?1015500
(PATCH)  SECTRACK  1015500
http://secunia.com/advisories/18615
(VENDOR_ADVISORY)  SECUNIA  18615
http://secunia.com/advisories/18495
(VENDOR_ADVISORY)  SECUNIA  18495
http://xforce.iss.net/xforce/xfdb/24175
(UNKNOWN)  XF  legato-nsrd-bo(24175)
http://xforce.iss.net/xforce/xfdb/24174
(UNKNOWN)  XF  legato-nsrexecd-bo(24174)
http://www.vupen.com/english/advisories/2006/0343
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0343
http://www.vupen.com/english/advisories/2006/0233
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0233
http://www.legato.com/support/websupport/product_alerts/011606_NW.htm
(UNKNOWN)  CONFIRM  http://www.legato.com/support/websupport/product_alerts/011606_NW.htm
http://sunsolve.sun.com/searchproxy/document.do?assetkey=1-26-102148-1
(UNKNOWN)  SUNALERT  102148
ftp://ftp.legato.com/pub/NetWorker/Updates/LGTpa83990/README.TXT
(UNKNOWN)  CONFIRM  ftp://ftp.legato.com/pub/NetWorker/Updates/LGTpa83990/README.TXT

- 漏洞信息

EMC Legato Networker nsrexecd.exe远程堆溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2006-06-05 00:00:00
远程  
        EMC Legato NetWorker是一款跨平台的备份和恢复系统。
        EMC Legato NetWorker在处理特定的RPC请求时存在漏洞,攻击者可能利用此漏洞在服务器上执行任意指令。由于没有正确的处理编号为390113的RPC程序的畸形RPC请求,导致Legato Networker的nsrexecd.exe服务中存在堆溢出漏洞。通过发送上述请求,攻击者可以覆盖部分堆内存,导致执行任意指令。由于备份客户机和服务机都安装了nsrd.exe,因此攻击者可以很快入侵整个网络。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.legato.com/support/websupport/product_alerts/011606_NW.htm

- 漏洞信息

22497
EMC NetWorker nsrd.exe Malformed RPC Request Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

- 时间线

2006-01-17 2005-11-17
Unknow 2006-01-25

- 解决方案

Upgrade to version 7.1.4, 7.2.1, 7.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站